#include <avr/pgmspace.h>
#include <util/delay.h>
#include "twi_lib.h"
#include "pcd8544.h"
#include "adc.h"

#define AdPrevodnik 0b10010010

float GetVoltage()
{
    float vystup=0;

    i2c_start_wait(AdPrevodnik + I2C_WRITE);
    i2c_write(0b10010000);
    i2c_stop();

    i2c_rep_start(AdPrevodnik + I2C_READ);
    vystup = (i2c_readAck() << 8);
    vystup += i2c_readNak();
    i2c_stop();

    //vystup = ((vystup/2048.0)*33.35)-0.22315;

    return vystup;
}
float GetResistance()
{
    float vysledek=0;

    vysledek = GetVoltage();

    return 3226.97*(vysledek - 1.1)/(3.335);

}
float GetCurrent()
{

    float vysledek=0;

    vysledek = GetVoltage();

    if (vysledek<1.658)
        return (1.658-vysledek)/0.330;
    else
        return (vysledek-1.658)/0.330;

}
